%global momorel 1

%global pyver %(python -c 'import sys ; print sys.version[:3]')

Summary:  "Desktop Menu Specification" from freedesktop.org
Name: gnome-menus
Version: 2.22.2
Release: %{momorel}m%{?dist}
License: LGPL
Group: User Interface/Desktops

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: momonga-applications.menu
Source2: momonga-preferences.menu
Source3: momonga-settings.menu
Source4: momonga-gnome-Graphics-Extra.directory
Source5: momonga-gnome-Internet-Extra.directory

URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: pkgconfig
BuildPrereq: intltool
BuildPreReq: glib2-devel >= 2.16.3
BuildPrereq: python >= 2.5
BuildPrereq: desktop-file-utils >= 0.12

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org.  Also contained here are the GNOME
menu layout configuration files, .directory files and assorted menu
related utility programs.

%package devel
Summary:        Libraries and include files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description devel
This package provides the necessary development libraries for
writing applications that use the GNOME menu system.

%prep
%setup -q

%build
%configure --enable-inotify --enable-python
%make

%install
rm -rf --preserve-root %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{name}

%{__mkdir} -p %{buildroot}%{_datadir}/applications
perl -pi -e 's/NoDisplay=true/NoDisplay=false/' %{buildroot}%{_datadir}/applications/gmenu-simple-editor.desktop
DESKTOPS="gmenu-simple-editor.desktop"
for D in $DESKTOPS; do
        desktop-file-install --vendor= \
        --dir %{buildroot}%{_datadir}/applications      \
        --add-category Settings           \
        --add-category GNOME           \
        --add-only-show-in GNOME        \
        %{buildroot}%{_datadir}/applications/$D
done

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

# 
#  Application Menu
#  applications-merged provides kde
mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome/menus
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/applications.menu
cp -f %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/preferences.menu
cp -f %{SOURCE3} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/settings.menu
%__rm -f %{buildroot}%{_sysconfdir}/xdg/menus/*
# mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/settings-merged
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/preference-merged
# chmod 755 %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
chmod 755 %{buildroot}%{_sysconfdir}/xdg/menus/settings-merged
chmod 755 %{buildroot}%{_sysconfdir}/xdg/menus/preference-merged

DIRS="Accessibility.directory Accessories.directory Applications.directory Desktop.directory Development.directory Education.directory Games.directory Graphics.directory Internet.directory Multimedia.directory Office.directory Other.directory Preferences.directory Settings-Accessibility.directory Settings.directory System-Settings.directory System-Tools.directory"
for i in $DIRS; do
    mv %{buildroot}%{_datadir}/desktop-directories/$i \
           %{buildroot}%{_datadir}/desktop-directories/gnome-$i
done
cp %{SOURCE4} %{buildroot}%{_datadir}/desktop-directories/gnome-Graphics-Extra.directory
cp %{SOURCE5} %{buildroot}%{_datadir}/desktop-directories/gnome-Internet-Extra.directory

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog HACKING INSTALL NEWS README
%{_libdir}/*.so.*
%{_bindir}/gmenu-simple-editor
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.py
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.pyc
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.pyo
%{_libdir}/python%{pyver}/site-packages/*.so
%{_libdir}/python%{pyver}/site-packages/*.la
%{_datadir}/applications/gmenu-simple-editor.desktop
%{_datadir}/desktop-directories/*.directory
%{_datadir}/gnome-menus/glade/gmenu-simple-editor.glade
%{_datadir}/locale/*/*/*
%dir %{_sysconfdir}/xdg/gnome
#%%dir %{_sysconfdir}/xdg/menus/applications-merged
%dir %{_sysconfdir}/xdg/menus/settings-merged
%dir %{_sysconfdir}/xdg/menus/preference-merged

%config %{_sysconfdir}/xdg/gnome/menus/*.menu

%files devel
%defattr(-, root, root)
#%{_bindir}/gnome-menu-spec-test
%{_includedir}/gnome-menus
%{_libdir}/pkgconfig/libgnome-menu.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/python%{pyver}/site-packages/*.a

%changelog
* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Tue Jul  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Mon May 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Wed Mar 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-4m)
- delete duplicated dir

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-3m)
- modify spec

* Sun Mar 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-2m)
- modify momonga-setting.menu

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-3m)
- good-bye %%makeinstall

* Mon Feb 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- modify settings.menu(source3) for new control-center

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.1-2m)
- rebuild against python-2.5

* Fri Oct  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update 2.16.1

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Mon Aug 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-3m)
- modify patch0 for alacarte

* Sun Aug 27 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-2m)
- add patch0 gmenu for python module

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-1m)
- update to 2.14.3

* Sun Jul  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-3m)
- Adjustment momonga-applications.menu and momonga-preferences.menu

* Fri Jun 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- modify momonga-preferences.menu (Not KDE)

* Mon May  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Mon Apr 24 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.13.5-2m)
- add patch0

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.5-1m)
- update to 2.13.5

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.0-7m)
- revised packages owner

* Mon Mar  6 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-6m)
- update application menu

* Sun Dec  4 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-5m)
- update gmenu-simple-editor.desktop
- change applications menu
- add Source4,Source5 (menu-directory file)

* Sat Nov 26 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-4m)
- revise GNOME application menu setting files
- add Source1,2,3

* Thu Nov 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.12.0-3m)
- revise desktop file (for KDE)

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-2m)
- Delete under %{_sysconfdir} 
 
* Wed Nov 16 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- start
- GNOME 2.12.1 Desktop
